<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>VteRegex: VTE Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="VTE Reference Manual">
<link rel="up" href="ch02.html" title="">
<link rel="prev" href="ch02.html" title="">
<link rel="next" href="ch03.html" title="">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#VteRegex.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#VteRegex.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="ch02.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="ch03.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="VteRegex"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="VteRegex.top_of_page"></a>VteRegex</span></h2>
<p>VteRegex — Regex for matching and searching. Uses PCRE2 internally.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="VteRegex.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
</td>
<td class="function_name">
<a class="link" href="VteRegex.html#vte-regex-ref" title="vte_regex_ref ()">vte_regex_ref</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
</td>
<td class="function_name">
<a class="link" href="VteRegex.html#vte-regex-unref" title="vte_regex_unref ()">vte_regex_unref</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
</td>
<td class="function_name">
<a class="link" href="VteRegex.html#vte-regex-new-for-match" title="vte_regex_new_for_match ()">vte_regex_new_for_match</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
</td>
<td class="function_name">
<a class="link" href="VteRegex.html#vte-regex-new-for-search" title="vte_regex_new_for_search ()">vte_regex_new_for_search</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="VteRegex.html#vte-regex-jit" title="vte_regex_jit ()">vte_regex_jit</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="VteRegex.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="VteRegex.html#VteRegex-struct" title="VteRegex">VteRegex</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="VteRegex.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="/usr/share/gtk-doc/html/gobject/gobject-Boxed-Types.html">GBoxed</a>
    <span class="lineart">╰──</span> VteRegex
</pre>
</div>
<div class="refsect1">
<a name="VteRegex.description"></a><h2>Description</h2>
</div>
<div class="refsect1">
<a name="VteRegex.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="vte-regex-ref"></a><h3>vte_regex_ref ()</h3>
<pre class="programlisting"><a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
vte_regex_ref (<em class="parameter"><code><a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a> *regex</code></em>);</pre>
<p>Decreases the reference count of <em class="parameter"><code>regex</code></em>
 by one, and frees <em class="parameter"><code>regex</code></em>

if the refcount reaches zero.</p>
<div class="refsect3">
<a name="vte-regex-ref.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>regex</p></td>
<td class="parameter_description"><p>a <a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a>. </p></td>
<td class="parameter_annotations"><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="vte-regex-ref.returns"></a><h4>Returns</h4>
<p> <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="vte-regex-unref"></a><h3>vte_regex_unref ()</h3>
<pre class="programlisting"><a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
vte_regex_unref (<em class="parameter"><code><a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a> *regex</code></em>);</pre>
</div>
<hr>
<div class="refsect2">
<a name="vte-regex-new-for-match"></a><h3>vte_regex_new_for_match ()</h3>
<pre class="programlisting"><a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
vte_regex_new_for_match (<em class="parameter"><code>const <span class="type">char</span> *pattern</code></em>,
                         <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#gssize"><span class="type">gssize</span></a> pattern_length</code></em>,
                         <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#guint32"><span class="type">guint32</span></a> flags</code></em>,
                         <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
<p>Compiles <em class="parameter"><code>pattern</code></em>
 into a regex for use as a match regex
with <a class="link" href="VteTerminal.html#vte-terminal-match-add-regex" title="vte_terminal_match_add_regex ()"><code class="function">vte_terminal_match_add_regex()</code></a> or
<a class="link" href="VteTerminal.html#vte-terminal-event-check-regex-simple" title="vte_terminal_event_check_regex_simple ()"><code class="function">vte_terminal_event_check_regex_simple()</code></a>.</p>
<p>See man:pcre2pattern(3) for information
about the supported regex language.</p>
<p>The regex will be compiled using <code class="literal">PCRE2_UTF</code> and possibly other flags, in
addition to the flags supplied in <em class="parameter"><code>flags</code></em>
.</p>
<div class="refsect3">
<a name="vte-regex-new-for-match.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>pattern</p></td>
<td class="parameter_description"><p>a regex pattern string</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>pattern_length</p></td>
<td class="parameter_description"><p>the length of <em class="parameter"><code>pattern</code></em>
in bytes, or -1 if the
string is NUL-terminated and the length is unknown</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>flags</p></td>
<td class="parameter_description"><p>PCRE2 compile flags</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>error</p></td>
<td class="parameter_description"><p>return location for a <a href="/usr/share/gtk-doc/html/glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a>, or <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="vte-regex-new-for-match.returns"></a><h4>Returns</h4>
<p>a newly created <a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a>, or <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> with <em class="parameter"><code>error</code></em>
filled in. </p>
<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="vte-regex-new-for-search"></a><h3>vte_regex_new_for_search ()</h3>
<pre class="programlisting"><a class="link" href="VteRegex.html" title="VteRegex"><span class="returnvalue">VteRegex</span></a> *
vte_regex_new_for_search (<em class="parameter"><code>const <span class="type">char</span> *pattern</code></em>,
                          <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#gssize"><span class="type">gssize</span></a> pattern_length</code></em>,
                          <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#guint32"><span class="type">guint32</span></a> flags</code></em>,
                          <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
<p>Compiles <em class="parameter"><code>pattern</code></em>
 into a regex for use as a search regex
with <a class="link" href="VteTerminal.html#vte-terminal-search-set-regex" title="vte_terminal_search_set_regex ()"><code class="function">vte_terminal_search_set_regex()</code></a>.</p>
<p>See man:pcre2pattern(3) for information
about the supported regex language.</p>
<p>The regex will be compiled using <code class="literal">PCRE2_UTF</code> and possibly other flags, in
addition to the flags supplied in <em class="parameter"><code>flags</code></em>
.</p>
<div class="refsect3">
<a name="vte-regex-new-for-search.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>pattern</p></td>
<td class="parameter_description"><p>a regex pattern string</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>pattern_length</p></td>
<td class="parameter_description"><p>the length of <em class="parameter"><code>pattern</code></em>
in bytes, or -1 if the
string is NUL-terminated and the length is unknown</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>flags</p></td>
<td class="parameter_description"><p>PCRE2 compile flags</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>error</p></td>
<td class="parameter_description"><p>return location for a <a href="/usr/share/gtk-doc/html/glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a>, or <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>. </p></td>
<td class="parameter_annotations"><span class="annotation">[<acronym title="NULL is OK, both for passing and for returning."><span class="acronym">allow-none</span></acronym>]</span></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="vte-regex-new-for-search.returns"></a><h4>Returns</h4>
<p>a newly created <a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a>, or <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> with <em class="parameter"><code>error</code></em>
filled in. </p>
<p><span class="annotation">[<acronym title="Free data after the code is done."><span class="acronym">transfer full</span></acronym>]</span></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="vte-regex-jit"></a><h3>vte_regex_jit ()</h3>
<pre class="programlisting"><a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
vte_regex_jit (<em class="parameter"><code><a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a> *regex</code></em>,
               <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Basic-Types.html#guint32"><span class="type">guint32</span></a> flags</code></em>,
               <em class="parameter"><code><a href="/usr/share/gtk-doc/html/glib/glib-Error-Reporting.html#GError"><span class="type">GError</span></a> **error</code></em>);</pre>
<p>If the platform supports JITing, JIT compiles <em class="parameter"><code>regex</code></em>
.</p>
<div class="refsect3">
<a name="vte-regex-jit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>regex</p></td>
<td class="parameter_description"><p>a <a class="link" href="VteRegex.html" title="VteRegex"><span class="type">VteRegex</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="vte-regex-jit.returns"></a><h4>Returns</h4>
<p> <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if JITing succeeded, or <a href="/usr/share/gtk-doc/html/glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> with <em class="parameter"><code>error</code></em>
filled in</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="VteRegex.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="VteRegex-struct"></a><h3>VteRegex</h3>
<pre class="programlisting">typedef struct _VteRegex VteRegex;</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>